Package weka.classifiers.trees.ht

# Class SplitCandidate

java.lang.Object
weka.classifiers.trees.ht.SplitCandidate

All Implemented Interfaces:
  `Comparable<SplitCandidate>`

public class SplitCandidate extends Object implements Comparable<SplitCandidate>
Encapsulates a candidate split

Version:
  $Revision: 9705 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `List<Map<String,WeightMass>>`
  `m_postSplitClassDistributions`
  list of class distributions resulting from a split - 2 entries in the outer list for numeric splits and n for nominal splits
  `double`
  `m_splitMerit`
  The merit of the split
  `Split`
  `m_splitTest`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplitCandidate(Split splitTest, List<Map<String,WeightMass>> postSplitDists, double merit)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(SplitCandidate comp)`
  `int`
  `numSplits()`
  Number of branches resulting from the split

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### m_splitTest

    public Split m_splitTest

  - ### m_postSplitClassDistributions

    public List<Map<String,WeightMass>> m_postSplitClassDistributions
    list of class distributions resulting from a split - 2 entries in the outer list for numeric splits and n for nominal splits

  - ### m_splitMerit

    public double m_splitMerit
    The merit of the split

- ## Constructor Details

  - ### SplitCandidate

    public SplitCandidate(Split splitTest, List<Map<String,WeightMass>> postSplitDists, double merit)
    Constructor
    Parameters:
      `splitTest` - the splitting test
      `postSplitDists` - the distributions resulting from the split
      `merit` - the merit of the split

- ## Method Details

  - ### numSplits

    public int numSplits()
    Number of branches resulting from the split
    Returns:
      the number of subsets of instances resulting from the split

  - ### compareTo

    public int compareTo(SplitCandidate comp)
    Specified by:
      `compareTo` in interface `Comparable<SplitCandidate>`